# concat

Concatenates the string-values of the arguments into a single string. There must be at least two arguments.

concat($arg1 as xs:anyAtomicType?, $arg2 as xs:anyAtomicType?, $etc... as xs:anyAtomicType?) → xs:string

Arguments
| $arg1 | xs:anyAtomicType? | The first string
| $arg2 | xs:anyAtomicType? | The second string
| $etc... | xs:anyAtomicType? | The third and subsequent strings (as many as required)
Result | xs:string

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next